Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class ServiceRuntimeList

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.util.AbstractPeriodItemSet<ServiceRuntimeList.ServiceItem>
ru.bitel.bgbilling.modules.tv.server.runtime.ServiceRuntimeList

public class ServiceRuntimeList extends ru.bitel.common.util.AbstractPeriodItemSet<ServiceRuntimeList.ServiceItem>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ServiceRuntimeList.ServiceItem`

  ## Nested classes/interfaces inherited from class ru.bitel.common.util.AbstractPeriodItemSet

  `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet

  `entries`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `containsMillis(ServiceRuntimeList.ServiceItem item, long millis)`
  `long`
  `getTimeFrom(int serviceId)`
  `protected boolean`
  `isCoincide(ServiceRuntimeList.ServiceItem item, ServiceRuntimeList.ServiceItem other)`
  `ServiceRuntimeList.ServiceItem`
  `itemByServiceId(int serviceId)`
  `ServiceRuntimeList.ServiceItem[]`
  `items()`
  `List<ServiceRuntimeList.ServiceItem>`
  `listByProductId(int productId)`
  `List<ServiceRuntimeList.ServiceItem>`
  `listEndingAt(long millis)`
  `static ServiceRuntimeList`
  `newInstance(List<Service> serviceList)`
  `Map<Integer,Integer>`
  `optionMap(long date1, long date2)`
  `ServiceRuntimeList`
  `update(int productId, List<Service> newServiceList)`
  `void`
  `updateState(int serviceId, short deviceState)`

  ### Methods inherited from class ru.bitel.common.util.AbstractPeriodItemSet

  `add, contains, contains, containsAll, containsAll, count, count, countMillis, countMillis, get, item, items, items, items, map, nextActivateTime, remove, size, toString, update`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### listEndingAt

    public List<ServiceRuntimeList.ServiceItem> listEndingAt(long millis)

  - ### listByProductId

    public List<ServiceRuntimeList.ServiceItem> listByProductId(int productId)

  - ### containsMillis

    protected boolean containsMillis(ServiceRuntimeList.ServiceItem item, long millis)
    Overrides:
      `containsMillis` in class `ru.bitel.common.util.AbstractPeriodItemSet<ServiceRuntimeList.ServiceItem>`

  - ### isCoincide

    protected boolean isCoincide(ServiceRuntimeList.ServiceItem item, ServiceRuntimeList.ServiceItem other)
    Overrides:
      `isCoincide` in class `ru.bitel.common.util.AbstractPeriodItemSet<ServiceRuntimeList.ServiceItem>`

  - ### getTimeFrom

    public long getTimeFrom(int serviceId)

  - ### optionMap

    public Map<Integer,Integer> optionMap(long date1, long date2)

  - ### itemByServiceId

    public ServiceRuntimeList.ServiceItem itemByServiceId(int serviceId)

  - ### newInstance

    public static ServiceRuntimeList newInstance(List<Service> serviceList)

  - ### items

    public ServiceRuntimeList.ServiceItem[] items()

  - ### update

    public ServiceRuntimeList update(int productId, List<Service> newServiceList)

  - ### updateState

    public void updateState(int serviceId, short deviceState)